import { TableBody, TableCell, TableRow} from "@mui/material";
import { memo } from "react";
import { getComparator, stableSort } from "./helpers";

function UsersTasksTableBody({rows, page, rowsPerPage, order, orderBy}) {

  return (
    <TableBody>
      {stableSort(rows, getComparator(order, orderBy))
        .slice(page * rowsPerPage, page * rowsPerPage + rowsPerPage)
        .map((row, index) => {
          return (
            <TableRow
              hover
              tabIndex={-1}
              key={row.name}
            >
              <TableCell
                component="th"
                scope="row"
                padding="none"
              >
                {row.name}
              </TableCell>
              <TableCell align="right">{row.calories}</TableCell>
              <TableCell align="right">{row.fat}</TableCell>
              <TableCell align="right">{row.carbs}</TableCell>
              <TableCell align="right">{row.protein}</TableCell>
            </TableRow>
          );
        })}
    </TableBody>
  );
}

export default memo(UsersTasksTableBody)